/* -------------------------------
 * Map Customizer Snazzymaps  http://jsfiddle.net/eLwex993/2/
 ------------------------------- */

// When the window has finished loading create our google map below
google.maps.event.addDomListener(window, 'load', init);
function init() {
    // Basic options for a simple Google Map
    // For more options see: https://developers.google.com/maps/documentation/javascript/reference#MapOptions
    var mapOptions= {
        // How zoomed in you want the map to start at (always required)
        zoom: 12, // The latitude and longitude to center the map (always required)
        center: new google.maps.LatLng(40.6700, -73.9400), // New York
        // How you would like to style the map. 
        // This is where you would paste any style found on Snazzy Maps.
        styles: [ {
            "featureType":"all",
            "elementType":"labels",
            "stylers":[ {
                "visibility": "on"
            }
            ]
        }
        ,
        {
            "featureType":"all",
            "elementType":"labels.text.fill",
            "stylers":[ {
                "saturation": 36
            }
            ,
            {
                "color": "#000000"
            }
            ,
            {
                "lightness": 40
            }
            ]
        }
        ,
        {
            "featureType":"all",
            "elementType":"labels.text.stroke",
            "stylers":[ {
                "visibility": "on"
            }
            ,
            {
                "color": "#000000"
            }
            ,
            {
                "lightness": 16
            }
            ]
        }
        ,
        {
            "featureType":"all",
            "elementType":"labels.icon",
            "stylers":[ {
                "visibility": "off"
            }
            ]
        }
        ,
        {
            "featureType":"administrative",
            "elementType":"geometry.fill",
            "stylers":[ {
                "color": "#000000"
            }
            ,
            {
                "lightness": 20
            }
            ]
        }
        ,
        {
            "featureType":"administrative",
            "elementType":"geometry.stroke",
            "stylers":[ {
                "color": "#000000"
            }
            ,
            {
                "lightness": 17
            }
            ,
            {
                "weight": 1.2
            }
            ]
        }
        ,
        {
            "featureType":"administrative.country",
            "elementType":"labels.text.fill",
            "stylers":[ {
                "color": "#acacac"
            }
            ]
        }
        ,
        {
            "featureType":"administrative.locality",
            "elementType":"labels.text.fill",
            "stylers":[ {
                "color": "#f2f2f2"
            }
            ]
        }
        ,
        {
            "featureType":"administrative.neighborhood",
            "elementType":"labels.text.fill",
            "stylers":[ {
                "color": "#acacac"
            }
            ]
        }
        ,
        {
            "featureType":"landscape",
            "elementType":"geometry",
            "stylers":[ {
                "color": "#000000"
            }
            ,
            {
                "lightness": 20
            }
            ]
        }
        ,
        {
            "featureType":"poi",
            "elementType":"geometry",
            "stylers":[ {
                "color": "#000000"
            }
            ,
            {
                "lightness": 21
            }
            ,
            {
                "visibility": "on"
            }
            ]
        }
        ,
        {
            "featureType":"poi.business",
            "elementType":"geometry",
            "stylers":[ {
                "visibility": "on"
            }
            ]
        }
        ,
        {
            "featureType":"road.highway",
            "elementType":"geometry.fill",
            "stylers":[ {
                "color": "#d5af4d"
            }
            ,
            {
                "lightness": "0"
            }
            ]
        }
        ,
        {
            "featureType":"road.highway",
            "elementType":"geometry.stroke",
            "stylers":[ {
                "visibility": "off"
            }
            ]
        }
        ,
        {
            "featureType":"road.highway",
            "elementType":"labels.text.fill",
            "stylers":[ {
                "color": "#ffffff"
            }
            ]
        }
        ,
        {
            "featureType":"road.highway",
            "elementType":"labels.text.stroke",
            "stylers":[ {
                "color": "#000000"
            }
            ]
        }
        ,
        {
            "featureType":"road.arterial",
            "elementType":"geometry",
            "stylers":[ {
                "color": "#000000"
            }
            ,
            {
                "lightness": 18
            }
            ]
        }
        ,
        {
            "featureType":"road.arterial",
            "elementType":"geometry.fill",
            "stylers":[ {
                "color": "#575757"
            }
            ]
        }
        ,
        {
            "featureType":"road.arterial",
            "elementType":"labels.text.fill",
            "stylers":[ {
                "color": "#ffffff"
            }
            ]
        }
        ,
        {
            "featureType":"road.arterial",
            "elementType":"labels.text.stroke",
            "stylers":[ {
                "color": "#2c2c2c"
            }
            ]
        }
        ,
        {
            "featureType":"road.local",
            "elementType":"geometry",
            "stylers":[ {
                "color": "#000000"
            }
            ,
            {
                "lightness": 16
            }
            ]
        }
        ,
        {
            "featureType":"road.local",
            "elementType":"labels.text.fill",
            "stylers":[ {
                "color": "#999999"
            }
            ]
        }
        ,
        {
            "featureType":"transit",
            "elementType":"geometry",
            "stylers":[ {
                "color": "#000000"
            }
            ,
            {
                "lightness": 19
            }
            ]
        }
        ,
        {
            "featureType":"water",
            "elementType":"geometry",
            "stylers":[ {
                "color": "#080f13"
            }
            ,
            {
                "lightness": 12
            }
            ]
        }
        ]
    }
    ;
    // Get the HTML DOM element that will contain your map 
    // We are using a div with id="map" seen below in the <body>
    var mapElement=document.getElementById('map');
    // Create the Google Map using our element and options defined above
    var map=new google.maps.Map(mapElement, mapOptions);
    // Let's also add a marker while we're at it
    var marker=new google.maps.Marker( {
        position: new google.maps.LatLng(40.6700, -73.9400), map: map, title: 'Buildup Group!'
    }
    );
}